Не получается полностью удалить php на ubuntu

Тема в разделе "Десктопный Linux", создана пользователем vanderv, 28 фев 2013.

Модераторы: Цукер
  1. vanderv

    vanderv

    Регистр.:
    30 май 2009
    Сообщения:
    269
    Симпатии:
    12
    Код:
    sudo apt-get remove --purge php5*
    Строится огромный список совпадений. Потом предлагается удалить Да/нет. После этого идет удаление... и потом бац:
    Код:
    Удаляется пакет php5-gd ...
    dpkg: error processing php5-gd (--purge):
    подпроцесс установлен сценарий pre-removal возвратил код ошибки 1
    Отчёты apport не записаны, так достигнут MaxReports
                                                      Удаляется пакет php5-curl ...
    dpkg: error processing php5-curl (--purge):
    подпроцесс установлен сценарий pre-removal возвратил код ошибки 1
    Отчёты apport не записаны, так достигнут MaxReports
                                                      dpkg: php5-common: dependency problems, but removing anyway as you requested:
    php5-curl зависит от php5-common (= 5.4.6-1ubuntu1.1), однако:
      Пакет php5-common будет удалён.
    php5-gd зависит от php5-common (= 5.4.6-1ubuntu1.1), однако:
      Пакет php5-common будет удалён.
     
    Удаляется пакет php5-common ...
    dpkg: error processing php5-common (--purge):
    подпроцесс установлен сценарий pre-removal возвратил код ошибки 1
    Отчёты apport не записаны, так достигнут MaxReports
                                                      При обработке следующих пакетов произошли ошибки:
    php5-gd
    php5-curl
    php5-common
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    
    Если еще раз запустить, то остались только 3 этих пакета, все остальное почистилось.
    Помогите удалить php!
     
  2. A3ex

    A3ex Создатель

    Регистр.:
    22 фев 2013
    Сообщения:
    12
    Симпатии:
    1
    apt-get remove php5-gd php5-curl php5-common не катит?
    как вариант удалите их через dpkg
     
  3. forez

    forez Создатель

    Регистр.:
    11 окт 2011
    Сообщения:
    19
    Симпатии:
    7
    aptitude -f install
    что говорит ?
     
  4. Bezhev

    Bezhev

    Регистр.:
    26 дек 2012
    Сообщения:
    362
    Симпатии:
    123
    Посмотрите лог, какую ошибку выдаёт?

    так же попробуйте снести через dpkg, как рекомендовали выше.
     
  5. mnizzle

    mnizzle Писатель

    Регистр.:
    23 апр 2013
    Сообщения:
    4
    Симпатии:
    0
    sudo apt-get remove --purge php ?
     
  6. leongr1

    leongr1 Создатель

    Регистр.:
    20 окт 2013
    Сообщения:
    10
    Симпатии:
    0
    Попробуй apt-get autoclean
     
  7. raven_kg

    raven_kg Создатель

    Регистр.:
    13 янв 2013
    Сообщения:
    12
    Симпатии:
    3
    Вывод команды говорит об ошибке в скриптах пакета php5-common. Можно попробовать сначала удалить его
    sudo mv /var/lib/dpkg/info/php5-common.* /tmp/
    sudo dpkg --remove --force-remove-reinstreq php5-common

    а потом уж
    sudo apt-get remove --purge php5*